import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './user/state';
import * as umutations from './user/mutations';
import login from './login';
import company from './company';
import testmess from './testmess';
import password from './password';
import repair from './repair';
import car from './car';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    login,
    company,
    testmess,
    password,
    repair,
    car,
  },
});
